code {
  border-radius: 0.15em;
  font-family: var(--font-family-mono);
  font-size: 0.9em;
  font-style: normal;
  font-weight: 500;
  letter-spacing: normal;
  line-height: 1.2;
  padding: 0 0.25em;
  background: rgba(var(--rgb-gray-light), 0.05);
}

pre {
  background: rgba(var(--rgb-gray-light), 0.05);
  border-radius: 0.4rem;
  overflow-x: auto;
  white-space: pre;
  letter-spacing: normal;
  line-height: 1.2;
  flex-grow: 1;
  width: 100%;
  margin: 0;
  padding: 0.75em;
  padding-left: 1em;
}
pre code {
  border-radius: initial;
  background: none;
  font-weight: 400;
  margin: 0;
  padding: 0;
}

.highlight {
  border: none !important;
  color: #fff;
  background-color: #292929;
  border-radius: 0.4rem;
  min-height: auto;
  direction: ltr !important;
  text-align: left !important;
  width: 100%;
  white-space: normal;
  align-items: center;
  background-repeat: no-repeat;
  background-size: 36px 36px;
  position: relative;
  display: flex;
  flex-direction: column;
  padding: 0;
}

.highlight pre {
  overflow-y: visible;
  background: none;
  border-radius: 0;
}
.highlight pre::-webkit-scrollbar {
  height: 10px;
  background-color: #292929;
  border-radius: 0.4rem;
}
.highlight pre::-webkit-scrollbar-thumb  {
  background-color: rgba(245, 245, 245, 0.5);
  border-radius: 0.4rem;
  height: 10px;
}

.highlight table td {
  padding: 5px;
}
.highlight table pre {
  margin: 0;
}
.highlight .c,
.highlight .cd,
.highlight .ch,
.highlight .cm,
.highlight .cpf,
.highlight .cs .c1,
.highlight .ge {
  font-style: italic;
}
.highlight .cp,
.highlight .cs,
.highlight .fm,
.highlight .gs,
.highlight .kc,
.highlight .kd,
.highlight .kn,
.highlight .kp,
.highlight .kr,
.highlight .kt,
.highlight .nc,
.highlight .nd,
.highlight .ne,
.highlight .nf,
.highlight .nl,
.highlight .o,
.highlight .ow {
  font-weight: 500;
}

.highlight .hll {
  background-color: #3a3939;
  border-left: 3px solid #00F0FF;
  padding-right: 5px;
}
.highlight .hll :first-child {
  margin-left: -3px;
}
.highlight .c { color: #b4b4b3; }
.highlight .err { color: #ff0088; background-color: #1e0010; }
.highlight .k { color: #9decfc; }
.highlight .l { color: #cfb7fd; }
.highlight .n { color: #f8f8f2; }
.highlight .o { color: #ff699b; }
.highlight .p { color: #f8f8f2; }
.highlight .pi { color: #c74646; }
.highlight .cm { color: #b4b4b3; }
.highlight .cp { color: #b4b4b3; }
.highlight .c1 { color: #b4b4b3; }
.highlight .cs { color: #b4b4b3; }
.highlight .kc { color: #9decfc; }
.highlight .kd { color: #9decfc; }
.highlight .kn { color: #ff699b; }
.highlight .kp { color: #9decfc; }
.highlight .kr { color: #9decfc; }
.highlight .kt { color: #9decfc; }
.highlight .ld { color: #fff5ab; }
.highlight .m { color: #cfb7fd; }
.highlight .s { color: #fff5ab; }
.highlight .na { color: #d0ff71; }
.highlight .nb { color: #f8f8f2; }
.highlight .nc { color: #d0ff71; }
.highlight .no { color: #9decfc; }
.highlight .nd { color: #d0ff71; }
.highlight .ni { color: #f8f8f2; }
.highlight .ne { color: #d0ff71; }
.highlight .nf { color: #d0ff71; }
.highlight .nl { color: #f8f8f2; }
.highlight .nn { color: #f8f8f2; }
.highlight .nx { color: #d0ff71; }
.highlight .py { color: #f8f8f2; }
.highlight .nt { color: #ff699b; }
.highlight .nv { color: #f8f8f2; }
.highlight .ow { color: #ff699b; }
.highlight .w { color: #f8f8f2; }
.highlight .mf { color: #cfb7fd; }
.highlight .mh { color: #cfb7fd; }
.highlight .mi { color: #cfb7fd; }
.highlight .mo { color: #cfb7fd; }
.highlight .sb { color: #fff5ab; }
.highlight .sc { color: #fff5ab; }
.highlight .sd { color: #fff5ab; }
.highlight .s2 { color: #fff5ab; }
.highlight .se { color: #cfb7fd; }
.highlight .sh { color: #fff5ab; }
.highlight .si { color: #fff5ab; }
.highlight .sx { color: #fff5ab; }
.highlight .sr { color: #fff5ab; }
.highlight .s1 { color: #fff5ab; }
.highlight .ss { color: #fff5ab; }
.highlight .bp { color: #f8f8f2; }
.highlight .vc { color: #f8f8f2; }
.highlight .vg { color: #f8f8f2; }
.highlight .vi { color: #f8f8f2; }
.highlight .il { color: #cfb7fd; }
.highlight .gh { color: #b4b4b3; }
.highlight .gu { color: #9e9b8a; }
.highlight .gd { color: #ff699b; background-color: unset; }
.highlight .gi { color: #d0ff71; background-color: unset; }
.highlight .gr { color: #ff699b; }
.highlight .go { color: #b4b4b3; }
.highlight .gp { color: #fff; }

.highlight .filename {
  border-bottom: 1px solid rgba(255,255,255, 0.05);
  font-family: monospace;
  padding: 0.6em 1.2em 0.4em;
  margin-bottom: 0.4em;
  display: block;
  font-size: 0.8em;
  border-radius: 0.4em 0.4em 0 0;
  width: fit-content;
}
.highlight [data-linenos]::before {
  color: rgba(241, 244, 249, 0.8);
  font-size: 0.9em;
  box-shadow: -.05rem 0 rgba(241, 244, 249, 0.2) inset;
  content: attr(data-linenos);
  margin-left: -1.17647em;
  margin-right: 1.17647em;
  user-select: none;
  z-index: 3;
  width: 3em;
  text-align: right;
  display: inline-block;
}
.highlight [data-linenos].special::before {
  background-color: rgba(255,255,255, 0.2);
}

.highlight button.copy {
  color: #FAF9F8;
  cursor: pointer;
  background-color: #3A3939;
  border: 2px solid #A9A9A8;
  border-radius: 4px;
  font-weight: bold;
  font-size: 14px;
  padding: 0.1em 0.5em !important;
  position: absolute;
  bottom: 10px;
  right: 10px;
  text-transform: uppercase;
  width: auto;
  opacity: 0.2;
  transition: all var(--transition);
}
.highlight:is(:hover, :focus) .copy {
  opacity: 0.75;
}
.highlight button.copy:focus,
.highlight button.copy:hover {
  opacity: 1;
  background-color: #000000;
}
